<?php

namespace Modules\Callback;

use Catch\Support\Module\Installer as ModuleInstaller;
use Modules\Callback\Providers\CallbackServiceProvider;

class Installer extends ModuleInstaller
{
    protected function info(): array
    {
        // TODO: Implement info() method.
        return [
            'title' => '回传管理',
            'name' => 'callback',
            'path' => 'callback',
            'keywords' => '回传管理',
            'description' => '回传管理管理模块',
            'provider' => CallbackServiceProvider::class
        ];
    }

    protected function requirePackages(): void
    {
        // TODO: Implement requirePackages() method.
    }

    protected function removePackages(): void
    {
        // TODO: Implement removePackages() method.
    }
}
